# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "banyan"
version = "0.14.0"
authors = ["Rüdiger Klaehn <rklaehn@protonmail.com>", "Actyx AG"]
description = "Persistent indexable tree data structure"
keywords = ["database", "immutable", "persistent", "tree"]
categories = ["data-structures"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/actyx/banyan/"
[dependencies.anyhow]
version = "1.0.40"

[dependencies.chacha20]
version = "0.7.1"

[dependencies.derive_more]
version = "0.99.13"

[dependencies.fnv]
version = "1.0.7"

[dependencies.futures]
version = "0.3.14"
features = ["thread-pool"]

[dependencies.libipld]
version = "0.12.0"
features = ["unleashed"]

[dependencies.maplit]
version = "1.0.2"

[dependencies.parking_lot]
version = "0.11.1"

[dependencies.smallvec]
version = "1.6.1"

[dependencies.tracing]
version = "0.1.25"

[dependencies.weight-cache]
version = "0.2.3"

[dependencies.zstd]
version = "0.7.0"
[dev-dependencies.clap]
version = "2.33.3"

[dev-dependencies.env_logger]
version = "0.8.3"

[dev-dependencies.generic-array]
version = "0.14.4"

[dev-dependencies.hex]
version = "0.4.3"

[dev-dependencies.multihash]
version = "0.14.0"

[dev-dependencies.quickcheck]
version = "1.0.3"

[dev-dependencies.quickcheck_async]
version = "0.1.1"

[dev-dependencies.quickcheck_macros]
version = "1.0.0"

[dev-dependencies.rand]
version = "0.8.3"

[dev-dependencies.rand_chacha]
version = "0.3.0"

[dev-dependencies.range-collections]
version = "0.1.1"

[dev-dependencies.sha2]
version = "0.9.3"

[dev-dependencies.tokio]
version = "1.5.0"
features = ["full"]

[dev-dependencies.tracing-subscriber]
version = "0.2.17"
